/* -*- c++ -*- */
/*
 * Copyright 2013, 2014 Free Software Foundation, Inc.
 *
 * This file is part of VOLK
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

#if HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdlib.h>
#include <volk/constants.h>

const char*
volk_prefix()
{
  const char *prefix = getenv("VOLK_PREFIX");
  if (prefix != NULL) return prefix;
  return "/usr/pkg";
}

const char*
volk_version()
{
  return "2.5.2";
}

const char*
volk_c_compiler()
{
  return "gcc (nb2 20230710) 10.5.0 \nCopyright (C) 2020 Free Software Foundation, Inc. \nThis is free software see the source for copying conditions.  There is NO \nwarranty not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.";
}

const char*
volk_compiler_flags()
{
  return "/tmp/pkgbuild/math/volk/work.aarch64eb/.cwrapper/bin/gcc::: -O2 -I/usr/include -I/usr/pkg/include/python3.11 -I/usr/pkg/include -fcx-limited-range -Wall -Werror=incompatible-pointer-types -Werror=pointer-sign \n/tmp/pkgbuild/math/volk/work.aarch64eb/.cwrapper/bin/c++::: -O2 -I/usr/include -I/usr/pkg/include/python3.11 -I/usr/pkg/include -fcx-limited-range -Wall \ngeneric_orc:::GNU:::-DNDEBUG -O2 -I/usr/include -I/usr/pkg/include/python3.11 -I/usr/pkg/include -fcx-limited-range -Wall -Werror=incompatible-pointer-types -Werror=pointer-sign  \nneon_orc:::GNU:::-DNDEBUG -O2 -I/usr/include -I/usr/pkg/include/python3.11 -I/usr/pkg/include -fcx-limited-range -Wall -Werror=incompatible-pointer-types -Werror=pointer-sign -funsafe-math-optimizations \nneonv8:::GNU:::-DNDEBUG -O2 -I/usr/include -I/usr/pkg/include/python3.11 -I/usr/pkg/include -fcx-limited-range -Wall -Werror=incompatible-pointer-types -Werror=pointer-sign -funsafe-math-optimizations -funsafe-math-optimizations";
}

const char*
volk_available_machines()
{
  return "generic_orc;neon_orc;neonv8";
}
